summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEmil Velikov <emil.velikov@collabora.com>2017-02-17 18:37:19 +0000
committerUli Schlachter <psychon@znc.in>2017-03-01 17:42:21 +0100
commitce706c62f6a14e52fd3ccaf4faf8712c8f057475 (patch)
tree36ca71ae19626ca38def1fbc71349b8f08ae6cc7
parentfa6db2f9c018c54a47e94c0175450303d700aa92 (diff)
downloadxcb-pthread-stubs-ce706c62f6a14e52fd3ccaf4faf8712c8f057475.tar.gz
autogen.sh: quote path variables
If the pathname has space things will explode in various ways. Avoid that by adding quotation marks where applicable. Signed-off-by: Emil Velikov <emil.velikov@collabora.com> Acked-by: Eric Anholt <eric@anholt.net> Signed-off-by: Uli Schlachter <psychon@znc.in>
-rwxr-xr-xautogen.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index fc34bd5..f9b61bb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,13 +1,13 @@
#! /bin/sh
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
if test -z "$NOCONFIGURE"; then
$srcdir/configure "$@"